import { pushTagToGTM } from '../util/gtm/cos-gtm';
import { userClickHeader } from '../util/gtm/tags-collection';

/**
 * navigation-bar custom events:w
 * @returns {function(): {init: function(): void}}
 */
export const navigationBar = (() => ({
  init: function () {
    // adding bottom border to active nav element
    if ($(window).width() > 991) {
      $('.nav-link.w--current').append('<div style="height: 4px; background-color: #FFD452; margin-top: 2px;"></div>');
    }

    $('.nav-container a.nav-link').click(function () {
      const href = $(this).attr('href');

      if (href === '/') {
        pushTagToGTM({ ...userClickHeader, label: 'Header-Home' });
      } else if (href.startsWith('/kaeufer-funktionen')) {
        pushTagToGTM({ ...userClickHeader, label: 'Header-Feature' });
      } else if (href.startsWith('/einlieferer')) {
        pushTagToGTM({ ...userClickHeader, label: 'Header-Become a seller' });
      } else if (href.startsWith('/career')) {
        pushTagToGTM({ ...userClickHeader, label: 'Header-Career' });
      } else if (href.startsWith('/blog')) {
        pushTagToGTM({ ...userClickHeader, label: 'Header-Blog' });
      } else if (href.startsWith('/kontakt')) {
        pushTagToGTM({ ...userClickHeader, label: 'Header-Contact' });
      }
    });
  }
}))();
